# hy-cta-liftup-image-text

# Adjacent image & text

Adjacent image & text

<!-- Auto Generated Below -->

## Properties

| Property             | Attribute                | Description | Type      | Default     |
| -------------------- | ------------------------ | ----------- | --------- | ----------- |
| `headerstyle`        | `headerstyle`            |             | `string`  | `'default'` |
| `imageAlt`           | `image-alt`              |             | `string`  | `''`        |
| `imageUrl`           | `image-url`              |             | `string`  | `null`      |
| `mainUrl`            | `main-url`               |             | `string`  | `undefined` |
| `mainUrl2`           | `main-url-2`             |             | `string`  | `undefined` |
| `mainUrlAriaLabel`   | `main-url-aria-label`    |             | `string`  | `undefined` |
| `mainUrlAriaLabel2`  | `main-url-aria-label-2`  |             | `string`  | `undefined` |
| `mainUrlIsExternal`  | `main-url-is-external`   |             | `boolean` | `false`     |
| `mainUrlIsExternal2` | `main-url-is-external-2` |             | `boolean` | `false`     |
| `mainUrlTitle`       | `main-url-title`         |             | `string`  | `undefined` |
| `mainUrlTitle2`      | `main-url-title-2`       |             | `string`  | `undefined` |
| `textDescription`    | `text-description`       |             | `string`  | `null`      |
| `textTitle`          | `text-title`             |             | `string`  | `undefined` |

## Dependencies

### Depends on

- [hy-cta-link](../cta-link)
- [hy-box](../hy-box)

### Graph

```mermaid
graph TD;
  hy-adjacent-image-text --> hy-cta-link
  hy-adjacent-image-text --> hy-box
  hy-cta-link --> hy-icon
  style hy-adjacent-image-text fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
