import {newSpecPage} from '@stencil/core/testing';
import {ColorBox} from './color-box';

describe('color-box', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [ColorBox],
      html: `<color-box></color-box>`
    });
    expect(page.root).toEqualHtml(`
      <color-box>
        <mock:shadow-root>
          <slot></slot>
        </mock:shadow-root>
      </color-box>
    `);
  });
});
