# hy-dropdown

<!-- Auto Generated Below -->

## Properties

| Property            | Attribute             | Description | Type               | Default     |
| ------------------- | --------------------- | ----------- | ------------------ | ----------- |
| `dropdownItemId`    | `dropdown-item-id`    |             | `number \| string` | `undefined` |
| `dropdownItemLabel` | `dropdown-item-label` |             | `string`           | `undefined` |
| `dropdownItemValue` | `dropdown-item-value` |             | `number \| string` | `undefined` |
| `isLast`            | `is-last`             |             | `boolean`          | `false`     |

## Dependencies

### Used by

- [hy-dropdown](.)

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-dropdown-panel-item --> hy-icon
  hy-dropdown --> hy-dropdown-panel-item
  style hy-dropdown-panel-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
