import {newSpecPage} from '@stencil/core/testing';
import {Image} from './image';

describe('image', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [Image],
      html: `<hy-image></hy-image>`,
    });
    expect(page.root).toEqualHtml(`
      <hy-image>
        <div class="hy-image">
          <div class="hy-image__image-container" style="--aspectRatio: 56.25%;">
            <img class="hy-image__image">
          </div>
        </div>
        <hy-box mb="1.75, 1.75, 2, 2.5"></hy-box>
      </hy-image>
    `);
  });
});
