# hy-menu-sidebar

<!-- Auto Generated Below -->

## Properties

| Property                    | Attribute                       | Description                                 | Type                                                                                               | Default            |
| --------------------------- | ------------------------------- | ------------------------------------------- | -------------------------------------------------------------------------------------------------- | ------------------ |
| `isDemo`                    | `is-demo`                       | Isdemo                                      | `boolean`                                                                                          | `false`            |
| `logoLabel`                 | `logo-label`                    | Logo label                                  | `string`                                                                                           | `undefined`        |
| `logoUrl`                   | `logo-url`                      | Url for logo.                               | `string`                                                                                           | `undefined`        |
| `menuIsOpen`                | `menu-is-open`                  | Is menu open boolean.                       | `boolean`                                                                                          | `false`            |
| `menuType`                  | `menu-type`                     | Menu type. Defaults to sidenav.             | `MenuType.desktop \| MenuType.mobile \| MenuType.sidenav \| MenuType.sidepanel \| MenuType.tablet` | `MenuType.sidenav` |
| `minHeight`                 | `min-height`                    | Previous panel to be toggled to keep track. | `any`                                                                                              | `null`             |
| `panelOpen`                 | `panel-open`                    | Upper menus panel boolean.                  | `boolean`                                                                                          | `false`            |
| `panelToggleAriaLabel`      | `panel-toggle-aria-label`       | Label for panel toggle button.              | `string`                                                                                           | `undefined`        |
| `panelToggleCloseAriaLabel` | `panel-toggle-close-aria-label` | Label for panel toggle button.              | `string`                                                                                           | `undefined`        |
| `panelToggleCloseLabel`     | `panel-toggle-close-label`      | Label for panel toggle button.              | `string`                                                                                           | `undefined`        |
| `panelToggleLabel`          | `panel-toggle-label`            | Label for panel toggle button.              | `string`                                                                                           | `undefined`        |
| `size`                      | `size`                          | Logo size                                   | `SiteLogoSize.big \| SiteLogoSize.large \| SiteLogoSize.small`                                     | `SiteLogoSize.big` |

## Dependencies

### Depends on

- [hy-icon](../../icon)
- [hy-site-logo](../../site-header/site-logo)

### Graph

```mermaid
graph TD;
  hy-menu-sidebar --> hy-icon
  hy-menu-sidebar --> hy-site-logo
  hy-site-logo --> hy-icon
  style hy-menu-sidebar fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
